Subject: [bug#35922] [PATCH] gnu: add terminator

From: Andy Tai <[email-masked]>
Date: Sat, 1 Jun 2019 10:42:33 -0700

Hi, I just sent a new patch that works with Ludo's command line

./pre-inst-env guix environment --ad-hoc terminator --pure -- terminator

Thanks

On Sat, Jun 1, 2019 at 5:48 AM Ludovic Courtès <[email-masked]> wrote:

> Hi Andy,
>
> [email-masked] skribis:
>
> > From: Andy Tai <[email-masked]>
> >
> > * gnu/packages/gnome.scm (terminator): Add at 1.91
>
> I propose the small changes below.
>
> However, it fails to run in this context:
>
> --8<---------------cut here---------------start------------->8---
> $ ./pre-inst-env guix environment --ad-hoc terminator --pure -- terminator
> Traceback (most recent call last):
>   File
> "/gnu/store/frwq9qja9m8i8dvk0lgj9mg5rnmc5377-terminator-1.91/bin/.terminator-real",
> line 33, in <module>
>     gi.require_version('Gtk','3.0')
>   File
> "/gnu/store/q4b7cr9j6f3g7v4xpg0zm3kkhd6l4dmg-python2-pygobject-3.28.3/lib/python2.7/site-packages/gi/__init__.py",
> line 130, in require_version
>     raise ValueError('Namespace %s not available' % namespace)
> ValueError: Namespace Gtk not available
> --8<---------------cut here---------------end--------------->8---
>
> It seems we’re missing an environment variable or something to allow
> pygobject to find the GIR file for GTK+.  I’m sure this has been
> addressed in other packages before, but I don’t remember how.
>
> Anyone here?
>
> Thanks,
> Ludo’.
>
>

-- 
Andy Tai, [email-masked], Skype: licheng.tai, Line: andy_tai, WeChat:
andytai1010
Year 2019 民國108年
自動的精神力是信仰與覺悟
自動的行為力是勞動與技能